program nadovezivanje;
var a,b,c,d,e,f,max,g,h,i:int64;
t:longint;
function sredi(x:int64):int64;
var p:int64;
  begin
    p:=0;
    while x<>0 do
begin
  x:=x div 10;
  p:=p+1;
  end;
    sredi:=p;
    end;
begin
  read(a,b,c);
  d:=sredi(a);
  e:=sredi(b);
  f:=sredi(c);
  max:=d;
  if e>max then max:=e;
  if f>max then max:=f;
  g:=a;
  h:=b;
  i:=c;
  for t:=1 to max-d do g:=g*10;
  for t:=1 to max-e do h:=h*10;
  for t:=1 to max-f do i:=i*10;
  if g>h then
   begin
   if h>i then write(a,b,c)
   else
     begin
     if g>i then write(a,c,b)
     else write(c,a,b);
     end
   end
   else
   begin
     if g>i then write(b,a,c)
     else
       begin
       if h>i then write(b,c,a)
       else write(c,b,a);
       end
     end;
   end.